
Name:           kdevelop-pg-qt
Summary:        A parser generator 
Version:        1.0.0
Release:        7%{?dist}

# All LGPLv2+, except for bison-generated kdev-pg-parser.{cc.h} which are GPLv2+
License:        LGPLv2+ and GPLv2+ with exception
URL:            http://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
Source0:        http://download.kde.org/stable/kdevelop-pg-qt/%{version}/src/kdevelop-pg-qt-%{version}.tar.bz2

Patch1: 0001-set-LIB_INSTALL_DIR-even-with-no-KDE4-stuff.patch
Patch2: 0002-Some-std-string-support-in-iterators.patch
Patch3: 0003-bugfix-inserting-user-generated-code.patch
Patch4: 0004-add-CTest-CDash-config-for-KDevelop-PG-Qt.patch
Patch5: 0005-force-building-of-unit-tests.patch
Patch7: 0007-Fixed-the-bit-array-implementation-and-replaced-vect.patch
Patch8: 0008-Fixed-handling-of-overflows-in-TokenStream-read.patch
Patch9: 0009-Updated-generated-files.patch
#Patch10:0010-version-strings.patch
Patch11:0011-fix-some-warnings.patch
Patch12:0012-updated-generated-files.patch
Patch13:0013-Fix-some-clang-compiler-warnings.patch
Patch14:0014-Fix-compile-with-clang-also-enable-exceptions-there.patch
Patch15:0015-std-c-11-std-c-0x-to-fix-build-on-build.kde.org.patch
Patch16:0016-Make-it-possible-to-build-without-tests.patch
#Patch17:0017-CMake-Fix-printing-of-empty-lines.patch

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  kdelibs4-devel
%{?_kde4_version:Requires:kdelibs4%{?_isa} >= %{_kde4_version}}

%description
KDevelop-PG-Qt is a parser generator written in readable source-code and
generating readable source-code. Its syntax was inspired by AntLR. It
implements the visitor-pattern and uses the Qt library. That is why it
is ideal to be used in Qt-/KDE-based applications like KDevelop.

%package devel
Summary:  Developer files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
# went noarch->arch, so be careful on upgrades -- rex
Obsoletes: kdevelop-pg-qt-devel < 1.0.0-1
%description devel
%{summary}.


%prep
%autosetup -p1


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files 
%doc AUTHORS COPYING.LIB README
%{_bindir}/kdev-pg-qt

%files devel
%{_includedir}/kdevelop-pg-qt/
%dir %{_libdir}/cmake
%{_libdir}/cmake/KDevelop-PG-Qt/


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jun 10 2014 Rex Dieter <rdieter@fedoraproject.org> 1.0.0-6
- pull in upstream commits, .spec cleanup

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Feb 26 2012 Rex Dieter <rdieter@fedoraproject.org> 1.0.0-1
- 1.0.0

* Mon Jan 23 2012 Radek Novacek <rnovacek@redhat.com> 0.9.82-1
- Update to 0.9.82

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Apr 07 2011 Radek Novacek <rnovacek@redhat.com> 0.9.5-1
- Update to 0.9.5

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 14 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.9.0-3
- License: LGPLv2+ and GPLv2+ with exception

* Fri Dec 10 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.9.0-2
- License: GPLv2+

* Mon Dec 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.9.0-1
- first try

